import { ErrorTypeKey, IJulynterLintOptions, ILintOptionsManager, ReportId, ViewMode } from './interfaces';
export declare abstract class AbstractOptionsManager implements ILintOptionsManager {
    checks: IJulynterLintOptions;
    default: IJulynterLintOptions;
    abstract loadKey<T>(key: string, def: T): T;
    abstract saveKey(key: string, value: boolean | string, ereport: boolean): void;
    checkReport(key: ReportId): boolean;
    checkType(key: ErrorTypeKey): boolean;
    checkMode(): ViewMode;
    checkRequirements(): string;
    updateReport(key: ReportId, value: boolean): void;
    updateType(key: ErrorTypeKey, value: boolean): void;
    updateMode(mode: ViewMode): void;
    updateRequirements(req: string): void;
    initializeOptions(checks: IJulynterLintOptions): void;
    reloadOptions(): void;
    saveOptions(): void;
}
