import { Message } from '@lumino/messaging';
import { Widget } from '@lumino/widgets';
import { ILabShell } from '@jupyterlab/application';
import { IDocumentManager } from '@jupyterlab/docmanager';
import { NotebookPanel, INotebookTracker } from '@jupyterlab/notebook';
import { NotebookHandler } from './notebookhandler';
import { ErrorHandler } from './errorhandler';
/**
 * A widget for hosting a notebook julynter.
 */
export declare class Julynter extends Widget {
    private _docmanager;
    private _labShell;
    private _currentWidget;
    private _visibleWidget;
    private _currentHandler;
    private _monitor;
    private _tracker;
    private _config;
    private _experimentManager;
    private _status;
    private _eh;
    handlers: {
        [id: string]: Promise<NotebookHandler>;
    };
    /**
     * Create a new table of contents.
     */
    constructor(docmanager: IDocumentManager, tracker: INotebookTracker, labShell: ILabShell, eh: ErrorHandler);
    addNewNotebook(nbPanel: NotebookPanel): void;
    changeActiveWidget(widget: Widget): void;
    titleClick(): void;
    updateJulynter(): void;
    /**
     * Rerender after showing.
     */
    protected onAfterShow(msg: Message): void;
    /**
     * Notify after hide.
     */
    protected onAfterHide(msg: Message): void;
    /**
     * Handle an update request.
     */
    protected onUpdateRequest(msg: Message): void;
    dispose(): void;
    get currentHandler(): NotebookHandler;
    set currentHandler(newHandler: NotebookHandler);
}
