import React from 'react';
import { Widget } from '@lumino/widgets';
import { MainAreaWidget, ReactWidget } from '@jupyterlab/apputils';
import { INotebookTracker, NotebookPanel } from '@jupyterlab/notebook';
import { IJulynterLintOptions } from '../../linter/interfaces';
import { Config } from '../config';
import { NotebookHandler } from '../notebookhandler';
import { ErrorHandler } from '../errorhandler';
export declare class JulynterConfigContent extends Widget {
    private _current;
    private _key;
    private _eh;
    constructor(checks: IJulynterLintOptions, eh: ErrorHandler);
    externalUpdate(): void;
    selectMode(event: React.FormEvent<HTMLSelectElement>): void;
    writeRequirements(event: React.FormEvent<HTMLInputElement>): void;
    display(): void;
}
export declare class ContextSwitcher extends ReactWidget {
    private _tracker;
    private _content;
    private _eh;
    selected: string;
    constructor(tracker: INotebookTracker, selected: string, content: JulynterConfigContent, eh: ErrorHandler);
    getSelected(): NotebookPanel | string;
    /**
     * Handle `change` events for the HTMLSelect component.
     */
    handleChange(event: React.ChangeEvent<HTMLSelectElement>): void;
    /**
     * Handle `keydown` events for the HTMLSelect component.
     */
    handleKeyDown(event: React.KeyboardEvent): void;
    render(): JSX.Element;
}
export declare class SaveButton extends ReactWidget {
    private _props;
    private _checks;
    private _switcher;
    private _handlers;
    private _config;
    private _eh;
    constructor(switcher: ContextSwitcher, handlers: {
        [id: string]: Promise<NotebookHandler>;
    }, config: Config, checks: IJulynterLintOptions, eh: ErrorHandler);
    onClick(): void;
    render(): JSX.Element;
}
export declare class LoadButton extends ReactWidget {
    private _props;
    private _checks;
    private _switcher;
    private _handlers;
    private _config;
    private _content;
    private _eh;
    constructor(switcher: ContextSwitcher, handlers: {
        [id: string]: Promise<NotebookHandler>;
    }, config: Config, checks: IJulynterLintOptions, content: JulynterConfigContent, eh: ErrorHandler);
    onClick(): void;
    render(): JSX.Element;
}
export declare class ResetButton extends ReactWidget {
    private _props;
    private _checks;
    private _config;
    private _content;
    private _eh;
    constructor(config: Config, checks: IJulynterLintOptions, content: JulynterConfigContent, eh: ErrorHandler);
    onClick(): void;
    render(): JSX.Element;
}
export declare function createJulynterConfigWidget(tracker: INotebookTracker, handlers: {
    [id: string]: Promise<NotebookHandler>;
}, config: Config, notebook: NotebookHandler, eh: ErrorHandler): MainAreaWidget<JulynterConfigContent>;
