import * as React from 'react';
import { ItemRenderer } from './itemrenderer'; /* eslint @typescript-eslint/no-unused-vars: 0 */
export class ListRenderer extends React.Component {
    constructor(props) {
        super(props);
    }
    render() {
        try {
            let i = 0;
            const listing = this.props.reports.map((el) => {
                const key = `${el.cellId}-${el.text}-${i++}`;
                return (React.createElement(ItemRenderer, { item: el, key: key, notebook: this.props.notebook, errorHandler: this.props.errorHandler }));
            });
            return React.createElement("ul", { className: "jp-Julynter-content" }, listing);
        }
        catch (error) {
            throw this.props.errorHandler.report(error, 'ListRenderer:render', []);
        }
    }
}
